libzypp: zypp::CleanEmptyLocksReport Struct Reference

libzypp 17.38.11

zypp::CleanEmptyLocksReport Struct Reference

Callback for cleaning locks which doesn't lock anything in pool. More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::CleanEmptyLocksReport:

## Public Types
enum | Action { ABORT , DELETE , IGNORE }
| action performed by cleaning api to specific lock More...
enum | Error { NO_ERROR , ABORTED }
| result of cleaning More...
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start ()
| cleaning is started
virtual bool | progress (int)
| progress of cleaning specifies in percents
virtual Action | execute (const PoolQuery &)
| When find empty lock ask what to do with it.
virtual void | finish (Error)
| cleaning is done
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Callback for cleaning locks which doesn't lock anything in pool.

Definition at line 962 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::CleanEmptyLocksReport::Action

action performed by cleaning api to specific lock

Enumerator
ABORT | abort and return error
DELETE | delete empty lock
IGNORE | skip empty lock

Definition at line 967 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::CleanEmptyLocksReport::Error

result of cleaning

Enumerator
NO_ERROR | no problem
ABORTED | cleaning aborted by user

Definition at line 976 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::CleanEmptyLocksReport::start | ( |  | ) |
| inlinevirtual

cleaning is started

Definition at line 984 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::CleanEmptyLocksReport::progress | ( | int |  | ) |
| inlinevirtual

progress of cleaning specifies in percents

Returns
  if continue

Definition at line 991 of file ZYppCallbacks.h.

## ◆ execute()

virtual Action zypp::CleanEmptyLocksReport::execute | ( | const PoolQuery & |  | ) |
| inlinevirtual

When find empty lock ask what to do with it.

Returns
  action

Definition at line 998 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::CleanEmptyLocksReport::finish | ( | Error |  | ) |
| inlinevirtual

cleaning is done

Definition at line 1005 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h